| hscolour | Source code | Contents | Index

Language.Haskell.HsColour.HTML

Contents

Internals

Description
Formats Haskell source code using HTML with font tags.
Synopsis

hscolour :: ColourPrefs -> Bool -> Bool -> String -> String -> String
renderAnchors :: ((TokenType, String) -> String) -> Either String (TokenType, String) -> String
renderComment :: String -> String
renderNewLinesAnchors :: String -> String

Documentation

hscolour | Source

:: ColourPrefs | Colour preferences.
-> Bool | Whether to include anchors.
-> Bool | Whether output should be partial.
-> String | Title for webpage output.
-> String | Haskell source code.
-> String | Coloured Haskell source code.
Formats Haskell source code using HTML with font tags.

Internals

renderAnchors :: ((TokenType, String) -> String) -> Either String (TokenType, String) -> String | Source

renderComment :: String -> String | Source

renderNewLinesAnchors :: String -> String | Source

Produced by Haddock version 0.8